/*
* ****************************************************
* jquery-storeify
* webpack config file.
* version: 0.0.1
* ****************************************************
*/
var webpack = require('webpack');

var path = require('path');

var inProduction = process.env.NODE_ENV=='production';

var ExtractTextPlugin = require('extract-text-webpack-plugin');

module.exports={

	entry: {

		app:[
			'./src/jquery-storeify.js'
		]
	},

	output:{
		path:path.resolve(__dirname,'./dist'),
		filename:'js/jquery-storeify.js'
	},
	module:{

		rules:[

			{
				test: /\.js$/,
				exclude: /node_modules/,
				loader:'babel-loader'

			}

		]
	},

	plugins:[

		new webpack.LoaderOptionsPlugin({

			minimize:inProduction
		})
	]

};


if(inProduction){

	module.exports.plugins.push(

		new webpack.optimize.UglifyJsPlugin()

	);

}
